Bug 17124 - Informix/6.2E using raw filesystems panics "unable to swap"
Informix/6.2E using raw filesystems panics "unable to swap"
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-08-30 23:36 EDT by Stuart E. Johnson
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-31 09:46:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stuart E. Johnson 2000-08-30 23:36:38 EDT
Please see Bugzilla report 17123 for a preamble to this problem.

At Mark Rusk's (Dell Preferred Customer Support) direction, I rebuilt the 
kernel-2.2.14-6.1.1 RPM with lfs disabled. This resulted in a
new RPM, kernel-2.2.14-6.0.1. I installed and booted the new kernel, then 
asked the Informix dba to re-run their installation procedure.

The kernel paniced in the kvm subsystem, reporting "unable to swap". The 
customer has yet to give me permission to publish the kernel stack trace 
here. I will append it to this report as soon as I am given permission.

On a hunch I disabled BIGMEM and rebuilt the kernel. Informix then 
installed without any additional (kernel) problems.
Informix states they support any 2.2.x kernel. This is a misstatement. The 
additional features of the 6.2E distribution, specifically lfs and bigmem, 
are not compatible with Informix 9.2.x when using raw filesystems for data 
areas. Informix 9.2.x seems to work correctly with 6.2E and cooked 
(ext2fs) filesystems.
Comment 1 Michael K. Johnson 2000-08-31 09:46:31 EDT
First of all, you want the 2.2.16-4 6.2E errata kernel update
or the 2.2.16-3 6.2 errata kernel update that fix the known
capabilities compromise.

It's interesting to know that turning off BIGMEM caused this
problem to go away, but without a decoded trace we have no
real chance of fixing it.  (Of course, there's even a possibility
that this is fixed in our 2.2.16 kernels; you should use the
non-enterprse 2.2.16-3 kernel since you can't use lfs.)
Comment 2 Stuart E. Johnson 2000-09-06 12:40:43 EDT
This was indeed fixed in 2.2.16-4.

Note You need to log in before you can comment on or make changes to this bug.